@charset "utf-8";
/* CSS Document */



/* Horizontal Navbar */
.navbar {
    z-index: 1000;
    position: fixed;
    top: 0;
    left: 0;

    width: 100%;
    background-color: #E9D1D1;
    overflow: hidden;
    box-shadow: 0px 6px 20px 0px rgba(0, 0, 0, 0.19);
}

.navbar ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.navbar li {
    display: block;
    float: left;
}

.navbar li:last-child {
    float: right;
}

.navbar a {
    display: block;
    color: black;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}

.navbar a:hover {
    background-color: #E8A2A2;
}

.navbar a:active {
    background-color: #E57272;
}

.active-navbar {
    background-color: #E57272;
}



/** Dropdown **/
.dropdown {
    position: relative;
}


/** Dropdown for Images **/
.image-dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
}

.dropdown:hover .image-dropdown-content {
    display: block;
}

.img-desc {
    padding: 15px;
    text-align: center;
}



/* Menu */
.menu {
    display: flex;
    flex-wrap: wrap;

    box-shadow: 0px 6px 20px 0px rgba(0, 0, 0, 0.19);

    background-color: #E9D1D1;
    text-align: center;

    margin-top: 40px;
    margin-left: auto;
    margin-right: auto;
    
    width: 75%;
    height: auto;

    padding: 5%;
}

.menu-item {
    border: 2px solid black;
    background-color: #E8A2A2;
    border-radius: 10px;
    transition: 0.3s;

    width: 20%;
    height: 250px;

    text-align: center;
    list-style-type: none;

    padding: 10px;
    padding-top: 0px;

    margin-right: 5%;
    margin-left: 5%;
    margin-top: auto;
    margin-bottom: auto;
}

.menu-class {
    text-align: center;
    font-weight: bold;
    font-size: 1.2em;
}

.price-tag {
    display: block;
    background-color: #E57272;

    border: 2px solid black;
    border-radius: 5px;

    padding: 5px;
    font-weight: bold;

    margin-top: 2px;
    margin-left: auto;
    margin-right: auto;
}



/** Physical Menu Image **/
.menu-photo {
    display: block;
    margin-left: auto;
    margin-right: auto;

    border: 2px solid black;
    box-shadow: 0px 6px 20px 0px rgba(0, 0, 0, 0.19);

    width: 90%;
}

.menu-directory {
    display: block;

    border: 2px solid black;
    border-radius: 10px;
    box-shadow: 0px 6px 20px 0px rgba(0, 0, 0, 0.19);

    margin-top: 10px;
    margin-left: auto;
    margin-right: auto;

    padding: 10px;

    width: 90%;

    background-color: #E9D1D1;
    color: black;

    text-decoration: none;
}

.menu-directory:hover {
    transform: scale(1.1);
    transition: transform 0.3s;

    background-color: #E8A2A2;

}

.menu-directory:active {
    background-color: #E57272;
}



/** Food Image **/
.food-image {
    display: block;
    
    border: 2px solid black;
    border-radius: 10px;

    width: 90%;
    height: auto;

    margin-top: 10px;
    margin-bottom: 10px;
    margin-left: auto;
    margin-right: auto;
}

.menu-item:hover {
    box-shadow: 0px 12px 40px 0px rgba(0, 0, 0, 0.19);
}



/* Content */
.content {
    box-shadow: 0px 6px 20px 0px rgba(0, 0, 0, 0.19);
    padding: 20px;
    width: 75%;

    margin-top: 40px;
    margin-bottom: 80px;
    margin-left: auto;
    margin-right: auto;

    background-color: white;
    text-align: center;
}

.banner-image {
    display: block;

    width: 50%;
    height: auto;

    border: 2px solid black;
    border-radius: 10px;
    box-shadow: 0px 6px 20px 0px rgba(0, 0, 0, 0.19);

    margin-top: 80px;
    margin-left:auto;
    margin-right:auto;
}

body {
    margin: 0px;
    font-family: Arial, sans-serif;
    background-color: #F5F5F5;
    /** background: linear-gradient(to right, #000091, #FFFFFF, #E1000F); **/
}

h1 {
    font-family: Edwardian Script ITC, cursive;
    font-size: 3em;
}

h2 {
    font-family: Great Vibes, Parisienne, cursive;
    font-size: 2em;
}



/** Home Contents **/
.welcome-message {
    display: block;
    border: 2px solid black;
    box-shadow: 0px 6px 20px 0px rgba(0, 0, 0, 0.19);
    border-radius: 10px;

    padding: 10px;

    width: 75%;

    margin-top: 40px;
    margin-left: auto;
    margin-right: auto;

    background-color: #E8A2A2;
}

.french-flag {
    position: relative;
    z-index: 1;

    border: 2px solid black;
    border-radius: 10px;
    box-shadow: 0px 6px 20px 0px rgba(0, 0, 0, 0.19);

    margin-top: 40px;
    margin-right: auto;
    margin-left: auto;

    width: auto;
}



/** Popular Dishes Section **/
.popular-dishes {
    display: flex;
    justify-content: center;
    
    border: 2px solid black;
    box-shadow: 0px 6px 20px 0px rgba(0, 0, 0, 0.19);
    border-radius: 10px;

    background-color: #E9D1D1;
    text-align: center;

    margin-top: 40px;
    margin-left: auto;
    margin-right: auto;
    
    width: 75%;

    padding-right: 35px;
}

.popular-dish-item {
    display: inline-block;
    border: 2px solid black;
    border-radius: 10px;
    transition: 0.3s;

    list-style-type: none;
    
    font-size: 0.7em;

    margin: 5%;
    
    width: 20%;
    height: auto;

    background-color:#E8A2A2
}

.popular-dish-item:hover {
    transform: scale(1.1);
    box-shadow: 0px 12px 40px 0px rgba(0, 0, 0, 0.19)
}

.popular-price-tag {
    display: block;
    background-color: #E57272;

    border: 2px solid black;
    border-radius: 5px;

    padding: 5px;

    font-weight: bold;
    font-size: 1.2em;

    margin: 5px;
}

.popular-item-img {
    border: 2px solid black;
    border-collapse: collapse;

    width: 90%;
    height: auto;
}



/** Footer **/
footer {
    text-align: center;
    padding: 10px;
    background-color: #E9D1D1;
    margin: 0;
}